fop 1.1

## org.apache.fop.render.rtf.rtflib.rtfdoc
Class RtfColorTable

    java.lang.Object
      org.apache.fop.render.rtf.rtflib.rtfdoc.RtfColorTable

    public final class RtfColorTable

extends java.lang.Object

Singelton of the RTF color table. This class was created for tag processing.

This work was authored by Andreas Putz (a.putz@skynamics.com).

Method Summary
`java.lang.Integer` `getColorNumber(int red, int green, int blue)` Gets the number of color in the color table
`java.lang.Integer` `getColorNumber(java.lang.String name)`
`static RtfColorTable` `getInstance()` Singelton.
`void` `writeColors(org.apache.fop.render.rtf.rtflib.rtfdoc.RtfHeader header)` Writes the color table in the header.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static RtfColorTable getInstance()

  Singelton.

  Returns:
    The instance of RTFColorTable

### getColorNumber

    public java.lang.Integer getColorNumber(java.lang.String name)

  Parameters:
    `name` - a named color
  Returns:
    the RTF number of a named color, or null if name not found

### getColorNumber

    public java.lang.Integer getColorNumber(int red,
                                            int green,
                                            int blue)

  Gets the number of color in the color table

  Parameters:
    `red` - Color level red
    `green` - Color level green
    `blue` - Color level blue
  Returns:
    The number of the color in the table

### writeColors

    public void writeColors(org.apache.fop.render.rtf.rtflib.rtfdoc.RtfHeader header)
                     throws java.io.IOException

  Writes the color table in the header.

  Parameters:
    `header` - The header container to write in
  Throws:
    `java.io.IOException` - On error

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.